"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const has_handle_value_1 = require("../has-handle-value");
function getElementsWithValue(text, elements) {
    return __awaiter(this, void 0, void 0, function* () {
        const result = [];
        for (let index = 0; index < elements.length; index++) {
            const element = elements[index];
            const hasValue = yield has_handle_value_1.hasHandleValue(element, text);
            if (hasValue) {
                result.push(element);
            }
        }
        return result;
    });
}
exports.getElementsWithValue = getElementsWithValue;
