import * as puppeteer from 'puppeteer-core';
export interface KeyboardPressOptions {
    delay?: number;
}
export declare type KeyboardKey = 'Tab' | 'Backspace' | 'Enter';
export declare const defaultKeyboardPressOptions: KeyboardPressOptions;
export declare function pressKey(key: KeyboardKey, options: KeyboardPressOptions, page: puppeteer.Page | undefined): Promise<void>;
