import * as puppeteer from 'puppeteer-core';
import { DeviceName } from './device-names';
export declare type Device = puppeteer.devices.Device;
export declare function emulateDevice(device: Device, page: puppeteer.Page | undefined): Promise<void>;
export declare function getDevice(deviceName: DeviceName): Device | undefined;
export declare const defaultDevice: Device;
