import * as puppeteer from 'puppeteer-core';
export interface ViewportRect {
    height: number;
    offsetLeft: number;
    offsetTop: number;
    pageLeft: number;
    pageTop: number;
    scale: number;
    width: number;
}
export declare function getViewportRectangleOf(page: puppeteer.Page | undefined): Promise<ViewportRect | null>;
