import * as puppeteer from 'puppeteer-core';
export interface WindowState {
    innerHeight: number;
    innerWidth: number;
    isMaximized: boolean;
    outerHeight: number;
    outerWidth: number;
    screen: {
        availWidth: number;
        availHeight: number;
    };
}
export declare function getCurrentBrowserWindowState(page: puppeteer.Page | undefined): Promise<WindowState>;
