"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const device_descriptors_1 = require("./device-descriptors");
const fs_1 = require("fs");
const path = __importStar(require("path"));
const deviceNames = 'export type DeviceName = ' +
    device_descriptors_1.allKnownDevices
        .map((d) => d.name)
        .map((name) => `'${name}'`)
        .join('|');
fs_1.writeFileSync(path.join(__dirname, 'device-names.ts'), deviceNames);
